Subject: [CODE4LIB] University of Michigan Solr filters for ISBN/LCCN and High Level Browse code available at github

From: Bill Dueber <[email-masked]>
Date: Mon, 16 Nov 2009 10:34:17 -0500

I've made available the code we use in the solrmarc/solr installation behind
http://mirlyn.lib.umich.edu to normalize LCCNs and ISBNs and add our local
High Level Browse LC-callnumber-based categorization scheme.

The code itself and a downloadable .jar file for the normalizers are
available at

http://github.com/billdueber/lib.umich.edu-solr-stuff

The README has usage examples as well, so you know what to put in your
schema.xml.

The source is not pretty in the same way the sea is not above the sky, but
it all works as best as I can tell and we all know the dangers of waiting
to  "clean up" code before release. Patches are, of course, always welcome.

 -Bill-

-- 
Bill Dueber
Library Systems Programmer
University of Michigan Library